Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002166TestLinkRequirement Managementpublic2009-03-02 22:382009-03-04 03:47
Reporternaiara_trueba 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.0 
Summary0002166: Fatal error when printing requirements
DescriptionWhen trying to print requirements, a faltal error comes out:

Fatal error: Call to undefined function buildhtmlheader() in C:\xampp\htdocs\testlink\lib\functions\requirements.inc.php on line 61

"buildHtmlHeader" function does not exist, but calling function "renderHTMLHeader" works properly (in file requirements.inc.php line 61).

When this bug is fixed, another one comes out:

Fatal error: Call to undefined function printfirstpage() in C:\xampp\htdocs\testlink\lib\functions\requirements.inc.php on line 63

Again, call to "printfirstpage()" has to be replaced with "renderFirstPage()".
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE7
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-2166.zip [^] (14,033 bytes) 2009-03-03 19:57

- Relationships
related to 0002186closedschlundus Header output on test report and test plan (HTML) 

-  Notes
(0005695)
fman (administrator)
2009-03-03 19:58

use attached files
(0005696)
fman (administrator)
2009-03-03 19:58

please re-test and give us feedback
(0005698)
naiara_trueba (reporter)
2009-03-03 21:49

OK! now it works fine.
Thank you very much.

- Issue History
Date Modified Username Field Change
2009-03-02 22:38 naiara_trueba New Issue
2009-03-02 22:38 naiara_trueba Browser => IE7
2009-03-02 22:38 naiara_trueba PHP Version => 5.2.8
2009-03-03 01:17 fman Status new => assigned
2009-03-03 01:17 fman Assigned To => fman
2009-03-03 19:57 fman File Added: fix-2166.zip
2009-03-03 19:58 fman Note Added: 0005695
2009-03-03 19:58 fman Note Added: 0005696
2009-03-03 19:58 fman Status assigned => feedback
2009-03-03 21:49 naiara_trueba Note Added: 0005698
2009-03-03 22:07 fman Relationship added related to 0002186
2009-03-04 03:47 schlundus Status feedback => closed
2009-03-04 03:47 schlundus Resolution open => fixed
2009-03-04 03:47 schlundus Fixed in Version => 1.8.0



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker